# $Revision: 1.20 $, $Date: 2006/04/02 11:22:45 $
%include	/usr/lib/rpm/macros.php
%define		_class		Calendar
%define		_status		beta
%define		_pearname	%{_class}

Summary:	%{_pearname} - building calendar data structures (irrespective of output)
Summary(pl):	%{_pearname} - tworzenie struktur danych kalendarza (niezalene od wyjcia)
Name:		php-pear-%{_pearname}
Version:	0.5.3
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	0d04f608cb01e52a9ef437d93bc60696
URL:		http://pear.php.net/package/Calendar/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-common >= 3:4.0.5
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Date/Calc.php)'

%description
Calendar provides an API for building calendar data structures. Using
the simple iterator and it's "query" API, a user interface can easily be
built on top of the calendar data structure, at the same time easily
connecting it to some kind of underlying data store, where "event"
information is being held.

It provides different calculation "engines" the default being based on
Unix timestamps (offering fastest performance) with an alternative using
PEAR::Date which extends the calendar past the limitations of Unix
timestamps. Other engines should be implementable for other types of
calendar (e.g. a Chinese Calendar based on lunar cycles).

In PEAR status of this package is: %{_status}.

%description -l pl
Calendar dostarcza API do tworzenia struktur danych kalendarza. Przy
uyciu prostego iteratora i jego API zapyta mona atwo zbudowa
interfejs uytkownika w oparciu o struktur danych kalendarza, a
jednoczenie poczy j z jakim rodzajem przechowywania danych,
gdzie trzymane s informacje o zdarzeniach.

Klasa udostpnia rne "silniki" oblicze; domylny jest oparty na
uniksowych timestampach (i jest najszybszy), alternatywny uywa klasy
PEAR::Date rozszerzajcej kalendarz poza ograniczenia timestampw.
Powinno si da zaimplementowa inne silniki dla innych rodzajw
kalendarzy (np. kalendarza chiskiego opartego na fazach ksiyca).

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Calendar.spec,v $
Revision 1.20  2006/04/02 11:22:45  glen
- 0.5.3

Revision 1.19  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.18  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.17  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.16  2005/10/05 20:11:06  glen
- rel 3

Revision 1.15  2005/10/03 22:59:15  glen
- semi automatically added deps from pear

Revision 1.14  2005/09/29 22:32:08  glen
- add AutoReq: no for -tests

Revision 1.13  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.12  2005/09/19 21:43:39  glen
- integer BR

Revision 1.11  2005/09/19 18:54:03  glen
- merged from DEVEL: use new pear packaging system

Revision 1.10.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.10.2.1  2005/09/18 17:29:52  glen
- use php-pear-build

Revision 1.10  2004/12/03 20:58:53  adamg
- capitalization fixes, simplified %files
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.9  2004/10/24 17:05:53  paladine
- spelling fixes, uppercases, etc.

Revision 1.8  2004/08/21 16:21:45  adamg
- updated to 0.5.2

Revision 1.7  2004/05/30 13:13:47  adamg
- fixed english information about status of the package

Revision 1.6  2004/05/24 22:30:28  adamg
- updated to 0.5.1

Revision 1.5  2004/03/15 17:44:29  ankry
- massive cosmetics

Revision 1.4  2004/02/01 21:45:12  adamg
- updated to 0.5

Revision 1.3  2003/11/23 12:13:14  adamg
- updated to 0.4

Revision 1.2  2003/11/02 15:16:22  qboosh
- pl

Revision 1.1  2003/11/02 14:59:03  adamg
- initial import
